IllegalAccessException (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class IllegalAccessException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.IllegalAccessException

    @TransactionType(value=NOT_SUPPORTED)
    public class IllegalAccessException

extends Exception

Thrown when an application tries to load in a class, but the currently executing method does not have access to the definition of the specified class, because the class is not public and in another package.

An instance of this class can also be thrown when an application tries to create an instance of a class using the `newInstance` method in class `Class`, but the current method does not have access to the appropriate zero-argument constructor.

Direct instances of this exception class are not bound to any context and can be passed between contexts without any restrictions. Objects created and returned by the methods of this class are owned by the caller. In particular, a call to the `Throwable.getMessage()` returns a String instance bound to the owner context of the caller.

See Runtime Environment Specification for the Java Card Platform, Connected Edition, chapter 7 for details regarding transfer of ownership.

Since:
  JDK1.0, CLDC 1.0, Java Card 3.0
See Also:
  `Class.forName(java.lang.String)`, `Class.newInstance()`

Constructor Summary
`IllegalAccessException()` Constructs an `IllegalAccessException` without a detail message.
`IllegalAccessException(String s)` Constructs an `IllegalAccessException` with a detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalAccessException

    public IllegalAccessException()

  Constructs an `IllegalAccessException` without a detail message.

### IllegalAccessException

    public IllegalAccessException(String s)

  Constructs an `IllegalAccessException` with a detail message.

  Parameters:
    `s` - the detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.